# Controller Registry

## Purpose

The Controller Registry form allows you to modify controller options and settings.

## Conditions

- The four OPS Manager Registry Key fields may start with '7100NM' instead of ' OpsMgr' if you created your customer database in Release 3.0 or 3.1. This is normal.

- The Default Dynamic Payload fields (for DTMF, G.722.1, and L16) conditions:

- These fields cannot be configured with the same value.

- If required, these values should be changed during the initial system installation or after a network change.

- These payload values do not affect the values received over SIP trunks or devices. On MiNet devices, all three payload values take affect once a device returns to an idle state. For PRI and ONS calls, the DTMF value is read at the beginning of the call and does not change during the call (G.722.1 and L16 are not supported).

NOTE: SIP Phones use a variety of payloads, which, on most phones, cannot be changed.

CAUTION: With the exception of the Network Printer fields, do not change values in this form without prior consultation with the Mitel Product Support group.

## Field Descriptions

Parameter | Description | Default Value
DTMF Duration – Number of E-Bit Packets | Enter the value ranging of 4-10. Used by the Media Server only and applied to all DTMF packets it generates. | 4
DTMF Duration - Number of packets | Enter the value ranging 7-100. Used by the Media Server only and applied to all DTMF packets it generates. | 7
Default Dynamic Payload for DTMF | If required, enter a new default value for the DTMF dynamic payload. The valid range is 96-127. This value will be used for negotiations with all other network components. See Conditions for more information. | 101
Default Dynamic Payload for G.722.1 | If required, enter a new default value for the G.722.1 dynamic payload. The valid range is 96-127. This value will be used for negotiations with all other network components. See Conditions for more information. | 102
Default Dynamic Payload for L16 | If required, enter a new default value for the L16 dynamic payload. The valid range is 96-127. This value will be used for negotiations with all other network components. See Conditions for more information. | 121
IP Device Software Load TFTP Server | Enter the IP address (IPv4 or IPv6) or FQDN of the TFTP server from which the MiVoice Business can direct the download of a new software load to an IP device. Default is Blank, which indicates that the IP device downloads from this MiVoice Business system. NOTES Download activity is independent of the DHCP server specification of a TFTP server as described in the Program the DHCP Server topic. The DHCP server in MiVoice Business need not be running for the IP Device software download to occur. | Blank
IP Local Address (ipv4/fqdn) | Enter whether the IPv4 or FQDN should be used for the local address. Valid entries are: ipv4 fqdn NOTES: You must retain the ipv4 addresses, until all nodes in the network are upgraded to MiVoice Business Release 9.0 or later. You can use FQDN only when all the nodes are upgraded to MiVoice Business 9.0 or later. A system reboot is required for changes to take effect. The FQDN must be resolvable. Otherwise, the IP trunks and IP sets will not register after a system reboot. | ipv4
IP Media Default (ipv4/dual) | Enter the IP version to be used by the media streams. Valid entries are: ipv4 dual Enter dual if you want to negotiate either IPv4 or IPv6 streams. NOTES dual is not supported for 3300 ICP Controllers A system reboot is required for changes to take effect. | ipv4
IP System Preference (ipv4/ipv6) | Enter the IP version for the call signalling to be used. Valid entries are: ipv4 ipv6 For example, this option can be used on SIP trunks with a peer FQDN, that resolves to both IPv4 and IPv6 addresses. NOTES IPv6 is not supported for 3300 ICP Controllers. A system reboot is required for changes to take effect. | ipv4
Link Maintenance - Heartbeat Rx Link Failure Time-out | Enter the minimum length of time, in increments of 1 unit, that an IP device waits before it considers that a link failure to MiVoice Business has occurred. When a link failure is declared, the IP device pre-emptively closes the link. NOTES Parameter values are assigned in units, where 1 unit = 1/10 of a second. A device may wait up to twice the entered interval before declaring a link failure. Changes to Link Maintenance parameters do not automatically propagate related changes to the system. You must manually make all individual changes related to Link Maintenance parameter changes. Changes to Link Maintenance parameters take effect only after link resets, or on new registrations. | Default: 300 units Minimum: 150 units Maximum: 65535 units Increment value: 1 unit Constraints: Entry must be greater than, or equal to the KeyAck Link Failure Time-out value AND greater than, or equal to the Special Key Time-out value
Link Maintenance - IP Trunk Heartbeat Rx Link Failure Time-out | Enter the minimum length of time, in increments of 1 unit, that an IP trunk is kept alive by MiVoice Business when it has not received any trunk messaging from its peer MiVoice Business system (including IP Trunk KeepAlivePoll messages). If this timer expires with no messaging received across the IP trunk, the trunk is pre-emptively closed. NOTES Parameter values are assigned in units; 1 unit = 1/10 of a second. An IP trunk may wait up to twice the entered interval before declaring a link failure. Changes to Link Maintenance parameters take effect only after IP Trunk link resets or on new link establishments. | Default: 200 units Minimum: 50 units Maximum: 65535 units Disabled: Zero Increment value: 1 unit Constraints: None
Link Maintenance - IP Trunk Inactivity Tx Timer | Enter the length of time, in increments of 1 unit, that MiVoice Business waits between sending IP Trunk KeepAlivePoll messages to other MiVoice Business system across the trunk when MiVoice Business is idle (not transmitting). NOTES Parameter values are assigned in units; 1 unit = 1/10 of a second. Changes to Link Maintenance parameters take effect only after IP Trunk link resets or on new link establishments. | Default: 200 units Minimum: 50 units Maximum: 65535 units Disabled: Zero Increment value: 1 unit Constraints: None
Link Maintenance – IP Trunk Retry | Enter the interval in seconds between health checks on the XNET link handler. The checks are run when MiVoice Business detects that a remote MiVoice Business system has gone down. | Default: 120 seconds Minimum: 10 seconds Maximum: 300 seconds
Link Maintenance - Key Ack Early Warning Timer | Enter the length of time, in increments of 1 unit, that an IP device waits for an acknowledgement of a SendScanKey message, or button press, from MiVoice Business. When the time expires, the IP device starts exhibiting set-specific early warning behaviours. NOTES Parameter values are assigned in units; 1 unit = 1/10 of a second. Changes to Link Maintenance parameters do not automatically propagate related changes to the system. You must manually make all individual changes related to Link Maintenance parameter changes. Changes to Link Maintenance parameters take effect only after link resets or on new registrations. | Default: 50 units Minimum: 5 units Maximum: 65535 units Disabled: Zero Increment value: 1 units Constraints: Entry must be less than KeyAck Link Failure Time-out value.
Link Maintenance - Key Ack Link Failure Time-out | Enter the length of time, in increments of 1 unit, that an IP device waits for an acknowledgement message from MiVoice Business in response to the IP device having sent a SendScanKey message, or button press. When the timer expires, the link is pre-emptively closed by the IP device. NOTES Parameter values are assigned in units; 1 unit = 1/10 of a second. An IP device may wait up to twice the entered interval before declaring a link failure. Changes to Link Maintenance parameters do not automatically propagate related changes to the system. You must manually make all individual changes related to Link Maintenance parameter changes. Changes to Link Maintenance parameters take effect only after link resets or on new registrations. | Default: 300 units Minimum: 100 units Maximum: 65535 units Disabled: Zero Increment value: 1 unit Constraints: Entry must be less than, or equal to the Heartbeat Rx Link Failure Time-out value greater than KeyAck Early Warning Timer value greater than, or equal to Special Key Time-out value
Link Maintenance – Out of Service Reset Timer | Enter the number of minutes from 10 to 1080 (18 hours) that a device disconnected from its controller waits before it reboots. The longer the timer, the less likely a user will be required to log in again when connectivity is restored, especially after an extended network outage. NOTES This timer applies to 53xx IP Phones, the 5540 IP Console, MiAudio version 1.3.11 or greater, and any MiNET devices introduced after the release of MiVoice Business 7.2. Resilient devices get their timer value from the controller they are registered with when the outage occurs. For controllers running an older version of MiVoice Business software (pre 7.2), a fixed 10 minute timer is used. For non-resilient sets in Container-based MiVoice Business (cMiVB), an Out of Service message is sent on set registration (heartbeat initialization). A check is made to see if the system is a cloud system, and if not resilient, the OOS timer is changed from 10 minutes to 4 minutes. An Out of Service message is also sent when the set is made resilient/non-resilient through the User and Services Configuration form. If a device (Device A) hosting a hot desk user loses contact (but does not reset) with its controller, and the same user then logs in at a different device (Device B), the user will NOT be logged out when Device A reconnects. To illustrate how such a scenario could cause problems, consider a user who is working at home and logs in on a teleworker device. The MBG connection goes down. The user then comes into the office and logs in on another device. At the end of the day the user logs out. Meanwhile, the MBG recovers before the Link Maintenance Out of Service Reset Timer expires. The telework device is now automatically logged in at the user's home but there is no one around to answer any calls. To avoid this scenario, choose a shorter timer so that the teleworker device resets which will pre-empt the auto login. For non-resilient sets in Container-based MiVoice Business (cMiVB), an Out of Service message is sent on set registration (heartbeat initialization). A check is made to see if the system is a cloud system, and if not resilient, the OOS timer is changed from 10 minutes to 4 minutes. An Out of Service message is also sent when the set is made resilient/non-resilient through the User and Services Configuration form. | 10
Link Maintenance - Phone Inactivity Tx Timer | Enter the minimum length of time, in increments of 1 unit, that MiVoice Business waits before it considers that a link failure to an IP device has occurred. NOTES Parameter values are assigned in units; 1 unit = 1/10 of a second. MiVoice Business may wait up to twice the entered interval before declaring a link failure. Changes to Link Maintenance parameters do not automatically propagate related changes to the system. You must manually make all individual changes related to Link Maintenance parameter changes. Changes to Link Maintenance parameters take effect only after link resets or on new registrations. | Default: 300 units Minimum: 150 units Maximum: 65535 units Disabled: Zero Increment value: 1 unit Constraints: None
Link Maintenance - Special Key Time-out | Enter the length of time, in increments of 1 unit, that an IP device waits for an acknowledgement from MiVoice Business after one of the special keys is pressed. When the timer expires, the IP device tears down the MiNET link tears down any related current voice streams associated with the link re-homes to the next IP address in the MiVoice Business list. Special keys include OnHook and Cancel. NOTES Parameter values are assigned in units; 1 unit = 1/10 of a second. An IP device may wait up to twice the entered interval before declaring a link failure. Changes to Link Maintenance parameters do not automatically propagate related changes to the system. You must manually make all individual changes related to Link Maintenance parameter changes. Changes to Link Maintenance parameters take effect only after link resets or on new registrations. | Default: 100 units Minimum: 50 units Maximum: 65535 units Disabled: Zero Increment value: 1 unit Constraints: Entry must be less than, or equal to Heartbeat Rx Link Failure Time-out value greater than KeyAck Early Warning Timer value less than, or equal to KeyAck Link Failure Time-out value
Network Printer - FTP Account | Enter the connection parameters of the network printer you are using to service the output requirements for applications such as Hotel/Motel and SMDR. The network printer must be a device that uses FTP to spool print jobs. In the Network Printer - Server Address field, enter the IP address (IPv4 or IPv6) or FQDN of the network printer. For more information, see Printer Support. | 0.0.0.0 for IP address and blank for other parameters.
Network Printer – FTP Directory Path
Network Printer – FTP Password
Network Printer – FTP Username
Network Printer – IP Address
Resiliency - Allow Return to Primary ICP (Yes/No) | Set the parameter to YES to allow failed-over IP devices to re-home to this MiVoice Business system. Set the parameter to NO to prevent failed-over IP devices from returning to this MiVoice Business system. NOTE: Remember to re-enable return by setting it back to YES after operations are finished. TIP: This feature is useful when a resilient MiVoice Business system is unavailable due to scheduled network outages, for example during an upgrade. | YES
Resiliency - Secondary ICP Health Check Interval | Enter the time, in seconds, that a secondary MiVoice Business system waits between attempting HealthChecks with a given primary MiVoice Business system. Health Checks occur only if a secondary MiVoice Business system has IP devices registered with it as a result of a fail-over from a primary MiVoice Business system. NOTE: Parameter values are assigned in seconds. | Default: 60 seconds Minimum: 1 second Maximum: 600 seconds Increment value: 1 second Constraint: None
Resiliency - Successful Health Checks Prior to Hand Off | Enter the number of successful Health Checks required from a secondary to a primary MiVoice Business system before IP devices are passed back to the primary MiVoice Business system after a recovery scenario. The entered number of successful Health Checks must occur before MiVoice Business is deemed stable and ready to accept IP devices failing back from this MiVoice Business system after a recovery. | Default: 5 Minimum: 1 Maximum: 20 Constraint: None
SIP Endpoint Resiliency – Device Heartbeat Interval | Enter the interval at which SIP devices that support the Mitel P-Alternate-Server header sends Options heartbeats to their current controller. NOTE: Parameter values are assigned in seconds. | Default: 60 seconds Minimum: 32 seconds Maximum: 900 seconds
SIP Endpoint Resiliency – Peer Heartbeat Interval | Enter the interval at which NOTIFY heartbeats are sent between primary and secondary MiVoice Business systems. The peer MiVoice Business heartbeat interval determines the duration between failure of the primary system and failover to the secondary system during which calls to the SIP device are directed to voice mail. The primary system sends NOTIFY heartbeats to the secondary system at the rate requested by the secondary system, and the secondary system sends NOTIFY heartbeats at the rate requested by the primary system. The rates may be different. NOTE: Parameter values are assigned in seconds. | Default: 45 seconds Minimum: 32 seconds Maximum: 300 seconds Increment value: 1 second
SIP TLS - Use (ip/fqdn) as last 'Common Name' in Certificate | If required, change the default value of 'ip' to 'fqdn' to force the MiVoice Business system's FQDN to appear as the last Common Name in the security Certificate used for TLS SIP communications. Such configuration is required only to communicate with devices that use the FQDN as the last common name when registering with the server. Most IP phones require the IP address (IPv4 or IPv6). When this option changes, the certificate is updated immediately. If after a change, duplicate FQDN names are included in the certificate and it affects the service, reboot the system to have just one name in the certificate. | ip
Set Firmware Upgrade – Delay Software Upgrade (Yes/No) | Allows devices with old firmware to register and go into service before upgrading (option = YES) or forces them to upgrade first (option = NO). Applies to 53xx and 69xx devices only. Use the LOCATE FEATURE maintenance command to display the upgrade status of a device. NOTES: Delaying upgrades is recommended for networks with 69xx device. Firmware for these devices requires significantly longer to download compared to other devices. The option NO applies when new sets are connected to a controller or when sets fallback from a resilient controller. Delaying upgrades provides the most benefit when the internal TFTP server is used to distribute firmware. If using an external TFTP server, upgrade performance is likely not an issue and so requires no delay. | Yes
Simultaneous Set Firmware Upgrades Allowed | Enter the maximum number of simultaneous firmware upgrades allowed at any given time. Range: 0 - 5600. Entering 0 disables firmware upgrades. Sets can still register but will continue to use older (and possibly less functional) firmware. The default values are intended to minimize the amount of time a set is out of service (OOS) while it downloads new firmware. Increasing the defaults will add to OOS time. NOTE: For an MXe III controller with an E2T card, if Set Firmware Upgrade – Delay Software Upgrade (Yes/No) is set to No, then it is recommended to set Simultaneous Set Firmware Upgrades Allowed to 9 or lower. A value greater that 9 can affect the booting time of the E2T card. | Varies by platform type. x86 platforms Server-based variants of MiVoice Business that use x86 processors, MiVoice Business for Industry Standard Servers MCD-ISS), Virtual MiVoice Business, and cMiVB. See also PowerPC platforms.: 25 MXe III, CX II, CXi II: 5 AX: 2
Stream Loss Detection Time-out | While in resilient talk state, an endpoint will tear down the connection if it doesn't detect any voice stream packets before the Stream Loss Detection Time-out expires. Enter the length of time, in increments of 1 unit, that an endpoint must wait before it tears down the connection. This value does not affect end-of-stream detection for non-resilient IP Phone devices that have lost connection with their primary MiVoice Business system. It only applies to endpoints that are in resilient talk state and that have a healthy connection to their current system. NOTE: Parameter values are assigned in units; 1 unit = 1/10 of a second. | Default: 50 units Minimum: 5 units Maximum: 65535 units Constraint: None

Registry Key - The list of controller settings and options available for modification. With the exception of the Network Printer fields, do not change values in this form without prior consultation with the Mitel Product Support group.

Data - The current registry key value.